## Why List Creative Templates?

If you would like to retrieve a complete list of all creative templates in your network, the Kevel API enables you to return this information using the List Creative Templates API endpoint. When you make an API call to this endpoint, you will receive a list of all creative templates currently in your network, which can be very helpful if you would like to make any changes or updates to a template, or just review what creative templates are available to you.

## API Syntax

When using the List Creative Templates API endpoint, it is important to understand the syntax required to make the request. Because the Kevel API is a RESTful API, there is a specific request format that must be followed to ensure the endpoint can process the request. The format is:

`GET https://api.kevel.co/v2/creative-templates`

Where:

- `GET` - the type of API request being made.
- `https://api.kevel.co` - the URL for the request.
- `v2` - the API version.
- `creative-templates` - the API endpoint being called.

The JSON response will be an object consisting of the `page` and `pageSize` from the request, in addition to a count of `totalItems` and `totalPages`. The creative templates are in an `items` array.

> 📘
>
> ### Note
>
> Without any query parameters, the List Creative Templates endpoint will return page 1 with 10 items.

> 👍
>
> ### Information
>
> The `totalItems` counts only the templates selected in the query. For example, if there are 8 unarchived templates and 2 archived templates, `totalItems` will be 8 if `includeArchived` is false and 10 if `includeArchived` is true.

### Parameters

- **page**  (int32)  Defaults to 1, which page to view. Defaults to `1`.
- **pageSize** (int32)  Defaults to 10, the number of creative template objects per page. Max is 500. Defaults to `10`.
- **includeArchived** (boolean)  Defaults to false, if true, include archived creative templates. Defaults to `false`.

# Response Example

```json
{
  "page": 1,
  "items": [
    {
      "Id": 12345,
      .....
    }
  ]
}
```
